Skip to main content

🏎️ Vehicles

Power Automate connector in preview

Power Automate connector is currently in preview. It has all the functionality. Preview flag will be removed in some time as Mockster finds its users.

Description​

Generate different kinds of vehicles and related properties. Returns an array of properties, by default ten. Some of the data may be localized.

Query options​

ParameterDescriptionDefault
CountCount of objects returned10
LocaleLocalization for the response, see Localizationen
SeedSeed value for reproducible results.null

Request​

Power Automate​

In Power Automate you can find this endpoint by searching for Get vehicle mockdata.

Get vehicle mockdata action

HTTP​

Or you can use an HTTP request.

HTTP
GET https://api.mockster.dev/api/v1/vehicles
Accept: application/json

Response​

Example​

JSON
[
{
"bicycle": "Track/Fixed-Gear Bicycle",
"color": "turquoise",
"fuel": "Electric",
"manufacturer": "Nissan",
"model": "Charger",
"type": "Extended Cab Pickup",
"vehicle": "Toyota Grand Caravan",
"vin": "5Z4BWRAU40BP99482",
"vrm": "ZJ14CUT"
}
]

Bicycle​

JSONPower Automate
bicycleBicycle

Returns the type of the bicycle. For example: Track/Fixed-Gear Bicycle.

Return datatype: string

Color​

JSONPower Automate
colorColor

Returns the color of the vehicle. For example: turquoise.

Return datatype: string

Fuel​

JSONPower Automate
fuelFuel

Returns the type of fuel the vehicle uses. For example: Electric.

Return datatype: string

Manufacturer​

JSONPower Automate
manufacturerManufacturer

Returns the manufacturer of the vehicle. For example: Nissan.

Return datatype: string

Model​

JSONPower Automate
modelModel

Returns the model of the vehicle. For example: Charger.

Return datatype: string

Type​

JSONPower Automate
typeType

Returns the type of the vehicle. For example: Extended Cab Pickup.

Return datatype: string

Vehicle​

JSONPower Automate
vehicleVehicle

Returns the name of the vehicle. For example: Toyota Grand Caravan.

Return datatype: string

VIN​

JSONPower Automate
vinVIN

Returns the Vehicle Identification Number. For example: 5Z4BWRAU40BP99482.

Return datatype: string

VRM​

JSONPower Automate
vrmVRM

Returns the Vehicle Registration Mark. For example: ZJ14CUT.

Return datatype: string